com.oracle.nfi

## Class NativeFunctionInterfaceRuntime

- java.lang.Object
- - com.oracle.nfi.NativeFunctionInterfaceRuntime

    public final class NativeFunctionInterfaceRuntime
    extends java.lang.Object

Class for obtaining the `NativeFunctionInterface` (if any) provided by the VM.

### Constructor Summary

Constructors
Constructor and Description
`NativeFunctionInterfaceRuntime()`

### Method Summary

Methods
`static NativeFunctionInterface` `getNativeFunctionInterface()` Gets the `NativeFunctionInterface` (if any) provided by the VM.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NativeFunctionInterfaceRuntime

    public NativeFunctionInterfaceRuntime()

### Method Detail

#### getNativeFunctionInterface

    public static NativeFunctionInterface getNativeFunctionInterface()

Gets the `NativeFunctionInterface` (if any) provided by the VM.

Returns:
  null if the VM does not provide a `NativeFunctionInterface`